Restar strеam processing: Stream.Restart

Restart streams via UIDs

Parameters

params: string|object

One of 2 variants


params<0>: StreamUids aka object

No description

params<0>...

params<0>{}: array

Min size: 1

List of stream UIDs to get information for


params<0>{}[]: Uid aka string

Pattern: ^[a-zA-Z0-9_-]+$

Unique identifier used throughout the system



params<1>: string

No description


Result

result: any


POST /api/

JSON
{
  "jsonrpc": "2.0",
  "method": "Stream.Restart",
  "params": {
    "camera_uuid_0": [
      "stream_uuid_0",
      "stream_uuid_1"
    ],
    "camera_uuid_1": [
      "stream_uuid_0",
      "stream_uuid_1"
    ]
  },
  "id": 123
}
cURL
Bash
curl -k --request POST \
    --url 'https://your-domain/api/' \
    --header 'Content-Type: application/json' \
    --header 'Authorization: Bearer <api-authorization-token>' \
    --data '{
  "jsonrpc": "2.0",
  "method": "Stream.Restart",
  "params": {
    "camera_uuid_0": [
      "stream_uuid_0",
      "stream_uuid_1"
    ],
    "camera_uuid_1": [
      "stream_uuid_0",
      "stream_uuid_1"
    ]
  },
  "id": 123
}'

200 OK

JSON
{
  "jsonrpc": "2.0",
  "result": "OK",
  "id": 123
}

400 Bad Request

JSON
{
  "jsonrpc": "2.0",
  "error": {
    "code": -32601,
    "message": "Method not found"
  },
  "id": 123
}

500 Internal Server Error

Server error